Bug 854283 - When creating a new organization, the Environment specified at creation time is not being created.
When creating a new organization, the Environment specified at creation time ...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.2
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On: 852119 854282
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 10:47 EDT by Eric Sammons
Modified: 2013-02-21 14:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854282
Environment:
Last Closed: 2013-02-21 14:17:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-09-04 10:47:45 EDT
+++ This bug was initially created as a clone of Bug #854282 +++

Created attachment 609707 [details]
Org create successfully without the specified environment

Description of problem:
When creating a new organization, the steps require that a default environment be created as well.  When submitting the creation form you are returned to the "default" view with the newly created org selected.  note that in the right pane the environment specified is not listed.

Version-Release number of selected component (if applicable):

katello-common-1.1.8-1.git.19.fc6b1f1.fc16.noarch

Steps to Reproduce:
1. Navigate to your favorite katello deployment/
2. Login w/ admin
3. Navigate to Manage organizations.
4. Create a new org
   Name: neworg
   Environment: newenv
5. Submit form
  
Actual results:
Organization created successfully
Environment does not exist in the details pane for newly created org.

Expected results:
Organzation created along with specified default environment.


Additional info:

--- Additional comment from esammons@redhat.com on 2012-09-04 10:47:01 EDT ---

Created attachment 609708 [details]
Create org form
Comment 1 Tom McKay 2012-09-19 11:26:24 EDT
Fixed in katello master
Comment 2 Og Maciel 2012-10-09 15:53:16 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:17:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.